# ext-to-regexp

Convert extname into regexp.

[npm-url]: https://www.npmjs.com/package/ext-to-regexp
[npm-img]: https://img.shields.io/npm/v/ext-to-regexp.svg

[![npm][npm-img]][npm-url]

## Installation

```bash
npm install ext-to-regexp
```

## Usage

```js
const extToRegexp = require('ext-to-regexp');

const regex = extToRegexp('js', 'jsx');
console.log(regex); // output /\.(js|jsx)$/

const foo = extToRegexp('css');
const bar = foo.add('sass', 'scss').add('less');
const baz = bar.remove('sass').remove('scss');

console.log(foo); // output /\.css$/
console.log(bar); // output /\.(css|less|sass|scss)$/
console.log(baz); // output /\.(css|less)$/
```
